# GmagickDraw::line

(PECL gmagick >= Unknown)

GmagickDraw::line — The line purpose

### Description

public GmagickDraw::line ( float `$sx` , float `$sy` , float `$ex` , float `$ey` ) : GmagickDraw

Draws a line on the image using the current stroke color, stroke opacity, and stroke width.

### Parameters

`sx`

  starting x ordinate

`sy`

  starting y ordinate

`ex`

  ending x ordinate

`ey`

  ending y ordinate

### Return Values

The GmagickDraw object on success